Allen 2020-06-26 20:54:58 41422 0 0 0 0

今天为了解决一个网站错误,重装了好几次网站。

那个错误解决见:https://taoook.com/t/1914.html

在开发人员帮助下解决了问题。

但之后又发现发贴时又报错了,如下:


发表失败

Function get_magic_quotes_gpc() is deprecated #发生错误的文件位于:

/www/wwwroot/hycms/Tmp/Post_11daeb40ffea4b4ec2c7c586fa7277de.php 

#行数: 286 #发生时间: 2020-06-26 15:15:11 

##发生URL: taoook.com/?post.html


这次死活解决不了。

重新安装程序,清缓存,删除临时文件夹。。。都报同样的错误。

(网站重新安装方法:https://taoook.com/t/36.html

终于,又一次重新安装程序时,手贱填了正式库的名字。

安装完后,我去修改配置文件,发现居然不用修改。。。

心理一凉。。。

打开数据库一看,果然空空如也!!!

当时真感觉要崩溃了,好无力的感觉。。。


查看备份,幸好有一个6/22号的备份。。。

没有别的办法,只好恢复这个备份了,丢了这几天发的几篇文章!

当时折腾的我好绝望,快崩溃了,都有点想放弃这个程序了,这样老出错误,这以后怎么用啊!

而且重新安装后,还是报同样的错误!


当时联系了开发人员,但一直没回复。

这次又找他抱怨,他说,是不是版本的问题。

查看网站apche版本,又查看php版本,果然php7.4版本!

把php版本改回7.2,问题解决了!


忽然想到以前好像记录过hybbs不能适用php74版本的问题。

一搜以前的帖子,果然找到了,而且当时就是报的这个错误:https://taoook.com/t/6.html


唉,一个月前的事,完全忘了,要不也不会发生清库这样的悲剧了!


去官网看了一下,居然没有关于不适用PHP7.4的说明,只有以下要求:

HYBBS2.0安装 服务器需求

PHP版本5.4以上(包括5.4)


建议官网修改一下啊,明确提示一下PHP版本的问题才好!


大家也一定要注意安全啊!

网站重新安装时

一定要注意

一定要注意

一定要注意:

数据库名不要填写正式的!


最重要的:

重大操作前一定要备份数据库!

重大操作前一定要备份数据库!

重大操作前一定要备份数据库!

有了备份数据库,即使被清了,也可以无忧了!



Tag: 站点日志 网站安全
欢迎评论
未登录,
请先 [ 注册 ] or [ 登录 ]
(一分钟即可完成注册!)
返回首页     ·   返回[站点日志]   ·   返回顶部